// A remote interface that clients can use to register for events from the
// HeartbeatGenerator.

package corejini.chapter16;

import net.jini.core.event.EventRegistration;
import net.jini.core.event.RemoteEventListener;
import java.rmi.Remote;
import java.rmi.MarshalledObject;
import java.rmi.RemoteException;

public interface HeartbeatRequest extends Remote {
    public EventRegistration register(int period,
                                      MarshalledObject data,
                                      RemoteEventListener listener,
                                      long duration)
        throws RemoteException;
} 
